package cloud.javastudy.study.demo;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.annotation.JSONField;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.ArrayList;
import java.util.List;

@SpringBootTest
class DemoApplicationTests {

	@Test
	void contextLoads() {
        TestModel t1 = new TestModel().setName("java").setAge(25);
        TestModel t2 = new TestModel().setName("study").setAge(12);
		System.out.println(t1.compareTo(t2));
    }

	static class TestModel implements Comparable<TestModel>{

		private String name;

		private Integer age;

		public String getName() {
			return name;
		}

		public TestModel setName(String name) {
			this.name = name;
			return this;
		}

		public Integer getAge() {
			return age;
		}

		public TestModel setAge(Integer age) {
			this.age = age;
			return this;
		}

		@Override
		public int compareTo(TestModel o) {
			if(this.age.equals(o.getAge())){
				return 0;
			}
			if(this.age> o.getAge()){
				return 1;
			}
			return -1;

		}
	}

}
